IMP script beillesztés és cross-site scripting sebezhetőségek

CH azonosító

CH-438

Felfedezés dátuma

2007.03.15.

Súlyosság

Közepes

Érintett rendszerek

Horde
IMP Webmail Client

Érintett verziók

Horde IMP Webmail Client 4.x

Összefoglaló

Jelentettek néhány sérülékenységet az IMP-ben, amit kihasználva rosszindulatú támadók cross-site scripting támadást hajthatnak végre.

Leírás

  1. A thread.php-ben található bemenet ellenőrzési hiba miatt a “Subject” fejléc nincs megfelelően megtisztítva, mielőtt megjelenítenék. Ezt, egy különlegesen kialakított e-maillel kihasználva, tetszőleges HTML és script kód futtatható le a felhasználó böngészőjének munkamenetében az érintett weboldallal kapcsolatosan.
  2. A search.php-ben az “edit_query” paraméternek és más, meg nem nevezett paramétereknek átadott bemenet nincs megfelelően megtisztítva, mielőtt visszajutna a felhasználóhoz. Ezt kihasználva tetszőleges HTML és script kód futtatható le a felhasználó böngészőjének munkamenetében az érintett weboldallal kapcsolatosan.

A sérülékenység kihasználásához a felhasználónak be kell jelentkeznie.

A sebezhetőséget a 4.1.3. verzióban jelentették, de korábbi verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra